Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.model
Interface Worker

All Known Implementing Classes:
  WorkerImpl

public interface Worker

Version:
  $Revision: 674365 $

Method Summary
`String` | `getCurrentQueryString()`
`String` | `getCurrentUri()`
`String` | `getMethod()`
`String` | `getProtocol()`
`String` | `getRemoteAddr()`
`long` | `getRequestBytesReceived()`
`long` | `getRequestBytesSent()`
`int` | `getRequestProcessingTime()`
`String` | `getStage()`
`String` | `getVirtualHost()`
`void` | `setCurrentQueryString(String value)`
`void` | `setCurrentUri(String value)`
`void` | `setMethod(String value)`
`void` | `setProtocol(String value)`
`void` | `setRemoteAddr(String value)`
`void` | `setRequestBytesReceived(long value)`
`void` | `setRequestBytesSent(long value)`
`void` | `setRequestProcessingTime(int value)`
`void` | `setStage(String value)`
`void` | `setVirtualHost(String value)`

Method Detail

### getRequestProcessingTime

    public int getRequestProcessingTime()

### setRequestProcessingTime

    public void setRequestProcessingTime(int value)

### getRequestBytesSent

    public long getRequestBytesSent()

### setRequestBytesSent

    public void setRequestBytesSent(long value)

### getCurrentQueryString

    public String getCurrentQueryString()

### setCurrentQueryString

    public void setCurrentQueryString(String value)

### getRemoteAddr

    public String getRemoteAddr()

### setRemoteAddr

    public void setRemoteAddr(String value)

### getCurrentUri

    public String getCurrentUri()

### setCurrentUri

    public void setCurrentUri(String value)

### getStage

    public String getStage()

### setStage

    public void setStage(String value)

### getVirtualHost

    public String getVirtualHost()

### setVirtualHost

    public void setVirtualHost(String value)

### getProtocol

    public String getProtocol()

### setProtocol

    public void setProtocol(String value)

### getRequestBytesReceived

    public long getRequestBytesReceived()

### setRequestBytesReceived

    public void setRequestBytesReceived(long value)

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.